Subject: [Syslog] syslog-tls version number

From: "David B Harrington" <[email-masked]>
Date: Tue, 14 Nov 2006 13:04:57 -0500

-----Original Message-----
From: Juergen Schoenwaelder [mailto:[email-masked]] 
Sent: Tuesday, November 14, 2006 11:17 AM
 
> > After taking another look at the syslog over TLS mapping, I am
> > wondering why you have a version number in the transport mapping
at
> > all. Do you really think there will be different versions of
syslog
> > message encapsulation over TLS?
> 
> http://www1.ietf.org/mail-archive/web/syslog/current/msg01194.html :
> > > One "major" change to the document is a "version" field for 
> > Syslog TLS
> > > transport is added to the frame header. The field is to 
> > make port reusing
> > > possible if the transport mapping document is updated in 
> > the future. An IANA
> > > paragraph is added accordingly.

To me, this looks like over engineering. You have a length field
followed by a space followed by the syslog message - there is not much
to get wrong here. And if it proves to be wrong, we loose a port
number.

I find it kind of unusual to version transport mappings - we usually
simply accept the risk that if the mapping is broken, we may loose a
port number. NETCONF over SSH does not have a version number. SNMP
over SSH does not have a version number. Whatever we do, we should be
consistent or have a strong reason for not being consistent.

/js

-- 
Juergen Schoenwaelder		 International University Bremen
				 (Jacobs University Bremen as of
Spring 2007)
<http://www.eecs.iu-bremen.de/>	 P.O. Box 750 561, 28725 Bremen,
Germany

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog